const fs = require('fs');
const {Router} = require("express");

const router = Router();

module.exports = app => {
    router
        .use((req, res, next) => {console.log(`[ANI/v1] ${req.path} | [${req.method}]`); next()})
        .get('/', (req, res) => res.send("This is the Natsuki Anime DB API v1 head.")) 
    
    fs.readdirSync('./ani/v1/routes').filter(file => file.endsWith('.js'))
        .forEach(route => require(`./routes/${route}`)(app, router)); //execute all router functions

    router.location = '/ani/v1';

    return router;
};